#include <iostream>
using namespace std;
int main()
{
    int L=0,m=0,n=0,pod=0,lon=0,br=0;
    cin>>L>>n>>m;
    pod=m-n;
    while(L>=lon){
     pod+=n;
     lon+=pod;
     br++;
    }
    cout<<br;
    return 0;
}
